Content analytics

The campaigns and platforms the content endpoints can filter by

GET/api/public/v1/content/filters
LiveAnswers from your brand's records now.

Operation id getContentFilters

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/filters" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
dataobject
data.campaignsarray of object
data.campaigns[].[].creator_namestring, nullable
data.campaigns[].[].idinteger
data.campaigns[].[].kindstring
data.campaigns[].[].namestring
data.campaigns[].[].organization_idinteger
data.campaigns[].[].organization_namestring, nullable
data.campaigns[].[].statusstring
data.campaigns[].[].uuidstring, nullable
data.organizationobject
data.organization.idinteger
data.organization.is_parentboolean
data.organization.namestring
data.platformsarray of string
successboolean

Example

{
  "data": {
    "campaigns": [
      {
        "creator_name": "Example name",
        "id": 1024,
        "kind": "string",
        "name": "Example name",
        "organization_id": 1024,
        "organization_name": "Example name",
        "status": "string",
        "uuid": "string"
      }
    ],
    "organization": {
      "id": 1024,
      "is_parent": true,
      "name": "Example name"
    },
    "platforms": [
      "string"
    ]
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.